Page MenuHomePhabricator

[tbs][cli] Implement the global --verbose flag as an env var
Closed, ResolvedPublic2 Estimated Story Points

Description

Implement the global -v --verbose flag as an environment variable called DEBUG

The way git works, is that it does not have a verbose/debug flag on the main command, but enables debugging with env vars, and the rest of discovered subcommands each implement it however they prefer.

I think that we might want to do so for all, as in, have a --verbose flag in the parent command (option 1), but allow setting it with something like DEBUG=1, and what this flag does, is it also sets the env var if not there when calling the subcommand so any external subcommand can pick it up if implemented there.

Related Objects

StatusSubtypeAssignedTask
OpenLucasWerkmeister
Resolvedmatmarex
ResolvedLegoktm
ResolvedLegoktm
Opendcaro
Resolveddcaro
ResolvedRaymond_Ndibe
ResolvedRaymond_Ndibe
ResolvedRaymond_Ndibe
ResolvedRaymond_Ndibe
ResolvedNone
Resolveddcaro
Resolveddcaro
ResolvedRaymond_Ndibe
Resolveddcaro
ResolvedRaymond_Ndibe
ResolvedSlst2020
ResolvedSlst2020
ResolvedSlst2020
ResolvedSlst2020
ResolvedRaymond_Ndibe

Event Timeline

Slst2020 created this task.
Slst2020 moved this task from Doing to Paused/Blocked on the User-Slst2020 board.
Slst2020 changed the task status from Stalled to Open.Nov 29 2022, 2:02 PM
Slst2020 claimed this task.
dcaro changed the task status from Open to In Progress.Dec 8 2022, 9:36 AM
dcaro moved this task from In Progress to Next Up on the Toolforge Build Service (Iteration 06) board.
dcaro moved this task from Next Up to In Progress on the Toolforge Build Service (Iteration 06) board.
Slst2020 changed the task status from In Progress to Open.Dec 14 2022, 10:46 AM
Slst2020 removed Slst2020 as the assignee of this task.
Slst2020 changed the status of subtask T323681: [tbs.cli] Multiple bugs when running external commands from In Progress to Open.

Change 886368 had a related patch set uploaded (by Raymond Ndibe; author: Raymond Ndibe):

[cloud/toolforge/toolforge-cli@main] toolforge-cli: Implement the global --verbose flag as an env var

https://gerrit.wikimedia.org/r/886368

dcaro triaged this task as High priority.Mar 6 2023, 2:52 PM
dcaro changed the task status from Open to In Progress.Mar 13 2023, 4:29 PM
dcaro moved this task from Next Up to In Progress on the Toolforge Build Service (Focus Week!) board.
Raymond_Ndibe changed the task status from In Progress to Stalled.Mar 13 2023, 4:38 PM
dcaro changed the task status from Stalled to In Progress.Mar 14 2023, 10:01 AM

Change 886368 merged by jenkins-bot:

[cloud/toolforge/toolforge-cli@main] toolforge-cli: Implement the global --verbose flag as an env var

https://gerrit.wikimedia.org/r/886368